Skip to main content

Create Service Request: Rentvine

POSThttps://api.propexo.com/v1/service-requests/rentvine/
InterfaceMethod
Work OrdersPOST /api/manager/maintenance/work-orders
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    service_request_status_idstringrequired

    The Propexo unique identifier for the service request status

    vendor_idstring

    The Propexo unique identifier for the vendor

    resident_idstring

    The Propexo unique identifier for the resident

    unit_idstring

    The Propexo unique identifier for the unit

    employee_idstring

    The Propexo unique identifier for the employee

    service_descriptionstringrequired

    A description of the service request

    Possible values: <= 127 characters

    service_prioritystringrequired

    The priority level associated with the service request

    Show 3 enum values
    LOWMEDIUMHIGH
    date_scheduledstring<date-time>

    The date the service request is scheduled

    vendor_notesstring

    Vendor/technician notes associated with the service request

    Possible values: <= 127 characters

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    service_request_status_idstringrequired

    The Propexo unique identifier for the service request status

    vendor_idstring | nullnullablerequired

    The Propexo unique identifier for the vendor

    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee

    service_descriptionstringrequired

    A description of the service request

    Possible values: <= 127 characters

    service_prioritystringrequired

    The priority level associated with the service request

    Show 3 enum values
    LOWMEDIUMHIGH
    date_scheduled(string | null)<date-time>nullablerequired

    The date the service request is scheduled

    vendor_notesstring | nullnullablerequired

    Vendor/technician notes associated with the service request

    Possible values: <= 127 characters

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/rentvine/
curl -X POST https://api.propexo.com/v1/service-requests/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"service_request_status_id": "string",
"service_description": "string",
"service_priority": "LOW"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"service_request_status_id": "string",
"vendor_id": "string",
"resident_id": "string",
"unit_id": "string",
"employee_id": "string",
"service_description": "string",
"service_priority": "LOW",
"date_scheduled": "2024-07-29T15:51:28.071Z",
"vendor_notes": "string"
}
}